<?php
/**
 * Cargador Universal Manual para Invalteca
 */
spl_autoload_register(function ($class) {
    // 1. Cargar PhpSpreadsheet
    $prefix = 'PhpOffice\\PhpSpreadsheet\\';
    $base_dir = __DIR__ . '/src/PhpSpreadsheet/';
    
    if (strncmp($prefix, $class, strlen($prefix)) === 0) {
        $relative_class = substr($class, strlen($prefix));
        $file = $base_dir . str_replace('\\', '/', $relative_class) . '.php';
        if (file_exists($file)) { require $file; return; }
    }

    // 2. Cargar PSR (La interfaz que acabamos de crear)
    $prefix_psr = 'Psr\\SimpleCache\\';
    $base_dir_psr = __DIR__ . '/Psr/SimpleCache/';

    if (strncmp($prefix_psr, $class, strlen($prefix_psr)) === 0) {
        $relative_class = substr($class, strlen($prefix_psr));
        $file = $base_dir_psr . $relative_class . '.php';
        if (file_exists($file)) { require $file; return; }
    }
});